<%@ page import="sms.*,java.util.*" %>
<%@ include file="common/common.jsp" %>

<html>

<head>
<title>Sent SMS -messages</title>
<link rel="stylesheet" href="style.css">
</head>

<body>
	<span class="pageheading">Registered users</span><br/><br/>
	<table cellspacing="0" cellpadding="2">
		<tr>
			<td><span class="label">User</span></td>
			<td><span class="label">Sent messages</span></td>
			<td><span class="label">Received messages</span></td>
		</tr>
<%
	// Fetch all accounts from the office
	Map accounts= SmsOffice.getInstance().getAccounts();
	
	Iterator it = accounts.entrySet().iterator();
	
	Map.Entry current = null;
	
	// We must synchronize access to the acconuts Map since it
	// is shared by all other accessors.
	synchronized(accounts)
	{
		int i = 0;
		
		while(it.hasNext())
		{
			current = (Map.Entry)it.next();
			
			String user = (String)current.getKey();
			SmsAccount a = (SmsAccount)current.getValue();
			
			int num_sent = a.getSent().size();
			int num_received = a.getReceived().size();		
			
			// Lets render the row and we alternate the background color for each row
			if(i++ % 2 > 0)
				out.write("<tr>");
			else
				out.write("<tr bgcolor='#CCCCCC'>");
			
			 out.write("<td><span class='plain'>" + user + "</span></td>");
			 out.write("<td><span class='plain'>" + num_sent + "</span></td>");
			 out.write("<td><span class='plain'>" + num_received + "</span></td>");
			 out.write("</tr>");
		}
	}
%>		
	</table>
</body>

</html>
