class SendRequest:

    """
        $Id: SendRequest.py,v 1.1.1.1 2003/04/10 14:38:57 maro Exp $

        Represents a request to send an SMS, which is sent to the gateway
        
        @author maro

    """

    m_sms = None

    def __init__(self, sms):
        self.m_sms = sms


    def toXML(self):
        """Transforms an SMS into an XML-request fitted for transfer to the
            gateway"""
        xml = "<?xml version=\"1.0\" encoding=\"UTF-8\"?>"
        xml += "<request type=\"send\" version=\"1.0\">"
        xml += "<sms><to address=\"%s\"></to>" % self.m_sms.getRecipient()
        xml += "<statusreports value=\"%s\"></statusreports>" % self.m_sms.getStatusReporting()
        if ( self.m_sms.getValidTo() != "" ):
            xml += "<valid date=\"%s\"></valid>" % self.m_sms.getValidTo()
        xml += "<message>%s</message></sms></request>" % self.m_sms.getText()
        return xml
